<bugID>972633<Summary>Show blob scripts in the debugger</Summary><Description>Scripts that are loaded dynamically via blobs currently don&#8217;t appear in the debugger. In contrast, Chrome&#8217;s developer tools are able to show them just fine.

For example mega.co.nz does this to load all their assets. The code in question looks like this:

    var blob = new Blob(data, { type: 'text/javascript' });
    var script = document.createElement('script');
    script.type = 'text/javascript';
    script.src = window.URL.createObjectURL(blob);
    document.getElementsByTagName('head')[0].appendChild(script);

It would be nice if the debugger could pick up scripts loaded like this too.

(The same applies to CSS loaded this way btw.)</Description></bugID>